| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::ItemInfoList Class Reference
Inheritance diagram for Digikam::ItemInfoList:

## Public Member Functions
| ItemInfoList (const QList< ItemInfo > &list)
| ItemInfoList (const QList< qlonglong > &idList)
void | loadGroupImageIds () const
void | loadTagIds () const
ItemInfo | singleGroupMainItem () const
| singleGroupMainItem
QList< qlonglong > | toImageIdList () const
QList< QUrl > | toImageUrlList () const

## Static Public Member Functions
static bool | namefileLessThan (const ItemInfo &d1, const ItemInfo &d2)

## Member Function Documentation

## ◆ singleGroupMainItem()

ItemInfo Digikam::ItemInfoList::singleGroupMainItem | ( |  | ) | const

Returns
  If the list contains of items of only one group including the main item, this main item is returned, otherwise a null ItemInfo.